---
title: List
url: https://www.tines.com/stories/docs/api/records/record_views/list/
updated: 2026-07-13T14:23:33+00:00
description: "A \"record view\" is a saved view within a record type that includes specified filters, charts, and table layout settings. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more."
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Records](https://www.tines.com/llm/stories/docs/api/records.md) › [Record views](https://www.tines.com/llm/stories/docs/api/records/record_views.md)*

# List

*[View on tines.com](https://www.tines.com/stories/docs/api/records/record_views/list/)*

## Description

A "record view" is a saved view within a record type that includes specified filters, charts, and table layout settings. See [Records](https://www.tines.com/docs/records/) in the Tines docs to learn more.

Retrieve a paginated list of record views.

## Request

HTTP Method: **GET**

| Query parameter | Description                                                                                                                                 |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| team_id         | **Optional** Only return record views belonging to this team.                                                                               |
| record_type_id  | **Optional** Only return record views for this record type.                                                                                 |
| order           | **Optional** Order the results by one of: `NAME`, `RECENTLY_CREATED`, `RECENTLY_UPDATED`. Defaults to `NAME` when not specified or invalid. |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20, maximum is 500.                                                   |
| page            | **Optional** The page number of results to fetch. Defaults to page 1.                                                                       |

```bash
curl -X GET \
  "https://<tenant-domain>/api/v1/record_views?team_id=1&record_type_id=3&order=RECENTLY_UPDATED" \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing the record views the requesting token has access to.

### Field description

| Parameter              | Description                                                                     |
| ---------------------- | ------------------------------------------------------------------------------- |
| record_views           | Array of objects each representing a record view.                               |
| id                     | Integer ID of the record view.                                                  |
| name                   | Name of the record view.                                                        |
| team                   | Object describing the team this record view belongs to.                         |
| team.id                | Integer ID of the team.                                                         |
| team.name              | Name of the team.                                                               |
| record_type            | Object describing the record type used by this record view.                     |
| record_type.id         | Integer ID of the record type.                                                  |
| record_type.name       | Name of the record type.                                                        |
| created_at             | ISO 8601 timestamp representing when the record view was created.               |
| updated_at             | ISO 8601 timestamp representing when the record view was last updated.          |
| report_view            | The default view for the record view: `record_table`, `split_view`, or `chart`. |
| url                    | Relative URL path to access the record view.                                    |
| record_report_group_id | Integer ID of the record report group this view belongs to.                     |

### Sample response

<!-- cspell:disable -->

```json
{
  "record_views": [
    {
      "id": 1,
      "name": "Open cases by priority",
      "team": {
        "id": 14,
        "name": "Security Operations"
      },
      "record_type": {
        "id": 3,
        "name": "Cases"
      },
      "created_at": "2025-02-10T12:30:45Z",
      "updated_at": "2025-02-12T09:15:22Z",
      "report_view": "record_table",
      "url": "/teams/14/records/5/views/1",
      "record_report_group_id": 5
    },
    {
      "id": 2,
      "name": "Incidents by source",
      "team": {
        "id": 14,
        "name": "Security Operations"
      },
      "record_type": {
        "id": 3,
        "name": "Cases"
      },
      "created_at": "2025-02-11T08:05:10Z",
      "updated_at": "2025-02-13T16:42:01Z",
      "report_view": "chart",
      "url": "/teams/14/records/6/views/2",
      "record_report_group_id": 6
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/record_views?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
